Rails.application.routes.draw do
  
  namespace :panel do
    namespace :personal_project do
      namespace :back_end do
	  
        match 'project_setting' => "projects#project_setting" ,:as => :project_setting
		  		
        resources :projects do
          collection do
            get 'delete'
          end
		  
          match "project_category_quick_add" => "projects#project_category_quick_add" ,:as => :project_category_quick_add
          match "project_category_quick_edit" => "projects#project_category_quick_edit" ,:as => :project_category_quick_edit
        end
		resources :project_categorys
        resources :tags
      end
      namespace :front_end do
        resources :projects
      end
      namespace :plugin do
        resources :projects
      end
      namespace :widget do
        match "projects" => "projects#index"
        match "home_list" => "projects#home_list"
        match "reload_projects" => "projects#reload_projects"
      end
    end
  end
 match "/appfront/*path" => redirect("/panel/*path")
 
end
